Package net.snowflake.client.core.auth.wif

## Class WorkloadIdentityAttestationProvider

- java.lang.Object
- - net.snowflake.client.core.auth.wif.WorkloadIdentityAttestationProvider

    @SnowflakeJdbcInternalApi
    public class WorkloadIdentityAttestationProvider
    extends Object

### Constructor Summary

Constructors
`WorkloadIdentityAttestationProvider​(AwsIdentityAttestationCreator awsAttestationCreator, GcpIdentityAttestationCreator gcpAttestationCreator, AzureIdentityAttestationCreator azureAttestationCreator, OidcIdentityAttestationCreator oidcAttestationCreator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkloadIdentityAttestation` `getAttestation​(String identityProvider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkloadIdentityAttestationProvider

    public WorkloadIdentityAttestationProvider​(AwsIdentityAttestationCreator awsAttestationCreator,
                                               GcpIdentityAttestationCreator gcpAttestationCreator,
                                               AzureIdentityAttestationCreator azureAttestationCreator,
                                               OidcIdentityAttestationCreator oidcAttestationCreator)

### Method Detail

#### getAttestation

    public WorkloadIdentityAttestation getAttestation​(String identityProvider)
                                               throws SFException

Throws:
  `SFException`